Swing Application Framework Support - plugin detail

Swing Application Framework Support for Form Editor

n/a
Plugin owner: onkentes
Website: http://www.netbeans.org/
Added: 2012-07-11
License: CDDL, GPLv2 with classpath exception, LGPL (3rd party jar)
Category: Graphical User Interface
Downloaded: 27,298 times
Rating:
 4.61, by 9 users

Plugin Log Show log

Versions available

Download plugin   Download size: 0.50 MB   Last Update: 2012-07-11

What's new in this version



Verifications for NetBeans versions

7.2 verification FAILED See verification details


Introduction

Swing Application Framework Support for Form Editor

[ You have to be logged in to be able to comment. ]

User Comments

  

Seems to work with NB 8.1

tested on a couple of windows
Posted by rcasha on Apr 18, 2016
  

Working in NB 8

I am using this in NB 8.0.2 and it works well.
Posted by DaveAlbert on May 11, 2015
  

IDE 8.0

versiyon Working Plugin.?
Posted by Teknik21 on Apr 20, 2014
  

What about 8.0 ?

Anybody has tested it in NetBeans 8.0 ?
Posted by genamiga on Feb 01, 2014
  

Seems to work fine in 7.4 too

I did not make complete tests, but could open and modify a few panels with no issue

Thanks a lot for this plugin : we are able to upgrade Netbeans and still maintain application that are using SAF
Posted by bmaras on Oct 17, 2013
  

Works great in 7.3.1

Confirmed to work in NB 7.3.1, both the Matisse GUI (design) editor and building and running with the SAF library.

We have a large application built using SAF and had been stuck on 7.0.1 for a long time. Thank you for developing this plugin!!!
Posted by DaveAlbert on Jun 19, 2013
  

Works in 7.3

I confirm this works perfectly in Netbeans 7.3.
Posted by genamiga on Mar 20, 2013
  

Works well in 7.2.1

This has been a real life saver. So far it has has worked flawlessly.

The only complaint: as others note, there doesn't seem to be a way to remove it. This may be a flaw in Netbeans itself though.
Posted by deisner on Feb 15, 2013
  

Works fine for me in 7.2.1 and question about versions

I tried it in 7.2.1 and it functions fine. I did notice I couldn't remove it as well, but as long as it is working, I'm OK with that.

Also, was this plug-in compiled from this project:

http://kenai.com/projects/bsaf/sources/netbeans/show

or are the sources elsewhere?

Should we be using the bsaf version?

Thanks,

Rob
Posted by wobster on Feb 11, 2013
  

Netbeans 7.2

It's running fine for me in 7.2. Have not tried 7.3.
Posted by GeneRessler on Jan 22, 2013
  

NetBeans 7.3

Is this working in NetBeans 7.2 and 7.3 ?
Posted by genamiga on Jan 12, 2013
  

Finally!

This plugin worked great for me.
It has allowed me to continue to support a lot of legacy code
Posted by msorah on Aug 27, 2012
  

RE: They're the same.

Perhaps they should be consolidated into a single plugin then, before they start branching away from each other.

Also, I noticed that onkentes's version is marked as having failed verification, due to a NOGO vote. Does yours have the same problem?

Thanks,

Moshe
Posted by moshem on Aug 21, 2012
  

They're the same.

They're the same created by two different people.
Posted by geertjan on Aug 21, 2012
  

Multiple Swing Application Framework Support plugins

What is the difference between these two SAF Support plugins:

geertjan: http://plugins.netbeans.org/plugin/43836/swing-application-framework-support

onkentes: http://plugins.netbeans.org/plugin/43853/swing-application-framework-support

Has anyone tried both and compared them?
Are there advantages to one over the other?

Thanks,

Moshe
Posted by moshem on Aug 21, 2012
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo